Loading...
Searching...
No Matches
XrdSys::IOEvents::pollArg Struct Reference
Collaboration diagram for XrdSys::IOEvents::pollArg:

## Public Member Functions

| pollArg ()
| ~pollArg ()

## Public Attributes

Poller * | pollP
XrdSysSemaphore * | pollSync
int | retCode
const char * | retMsg

## Detailed Description

Definition at line 124 of file XrdSysIOEvents.cc.

## Constructor & Destructor Documentation

## pollArg()

XrdSys::IOEvents::pollArg::pollArg | ( |  | ) |

inline

Definition at line 130 of file XrdSysIOEvents.cc.

: retMsg(0), retCode(0)
{pollSync = new XrdSysSemaphore(0, "poll sync");}
XrdSys::IOEvents::pollArg::retCode
int retCode
Definition XrdSysIOEvents.cc:127
XrdSys::IOEvents::pollArg::retMsg
const char * retMsg
Definition XrdSysIOEvents.cc:126
XrdSys::IOEvents::pollArg::pollSync
XrdSysSemaphore * pollSync
Definition XrdSysIOEvents.cc:128

References pollSync, retCode, and retMsg.

## ~pollArg()

XrdSys::IOEvents::pollArg::~pollArg | ( |  | ) |

inline

Definition at line 132 of file XrdSysIOEvents.cc.

{}

## Member Data Documentation

## pollP

Poller* XrdSys::IOEvents::pollArg::pollP

Definition at line 125 of file XrdSysIOEvents.cc.

Referenced by XrdSys::IOEvents::Poller::Create(), and XrdSys::IOEvents::BootStrap::Start().

## pollSync

XrdSysSemaphore* XrdSys::IOEvents::pollArg::pollSync

Definition at line 128 of file XrdSysIOEvents.cc.

Referenced by pollArg(), XrdSys::IOEvents::Poller::Create(), and XrdSys::IOEvents::BootStrap::Start().

## retCode

int XrdSys::IOEvents::pollArg::retCode

Definition at line 127 of file XrdSysIOEvents.cc.

Referenced by pollArg(), XrdSys::IOEvents::Poller::Create(), and XrdSys::IOEvents::BootStrap::Start().

## retMsg

const char* XrdSys::IOEvents::pollArg::retMsg

Definition at line 126 of file XrdSysIOEvents.cc.

Referenced by pollArg(), XrdSys::IOEvents::Poller::Create(), and XrdSys::IOEvents::BootStrap::Start().

The documentation for this struct was generated from the following file:

- XrdSysIOEvents.cc